# Asterisk Project : Asterisk 13 Function_HASHKEYS

Created by wikibot on Aug 08, 2014

# HASHKEYS()

### Synopsis

Retrieve the keys of the HASH() function.

### Description

Returns a comma-delimited list of the current keys of the associative array defined by the HASH() function. Note that if you iterate over the keys of the result, adding keys during iteration will cause the result of the HASHKEYS() function to change.

### Syntax

    HASHKEYS(hashname)

##### Arguments

- `hashname`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538